=== debian/control ===
Source: ros-indigo-pr2eus
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-control-msgs, ros-indigo-dynamic-reconfigure, ros-indigo-euscollada, ros-indigo-move-base-msgs, ros-indigo-nav-msgs, ros-indigo-pr2-controllers-msgs, ros-indigo-pr2-description, ros-indigo-pr2-gazebo, ros-indigo-pr2-mechanism-msgs, ros-indigo-pr2-msgs, ros-indigo-robot-state-publisher, ros-indigo-roseus, ros-indigo-rosgraph-msgs, ros-indigo-rostest, ros-indigo-sound-play
Homepage: http://ros.org/wiki/pr2eus
Standards-Version: 3.9.2

Package: ros-indigo-pr2eus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-control-msgs, ros-indigo-dynamic-reconfigure, ros-indigo-euscollada, ros-indigo-move-base-msgs, ros-indigo-nav-msgs, ros-indigo-pr2-controllers-msgs, ros-indigo-pr2-description, ros-indigo-pr2-mechanism-msgs, ros-indigo-pr2-msgs, ros-indigo-roseus, ros-indigo-sound-play
Description: pr2eus
